Subject: Re: bug#17170: 24.3.50; debug: Terminal 3 is locked, cannot read from it

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Apr 2014 20:01:45 +0300

> From: Nicolas Richard <[email-masked]>
> Cc: Nicolas Richard <[email-masked]>,  [email-masked]
> Date: Sun, 06 Apr 2014 18:41:54 +0200
> 
> the remote session was started by opening gnome-terminal, then doing:
> $ tmux # this starts a new tmux session.
> $ cd ~/path/to/emacs/src
> $ gdb emacs # drops me in gdb.
> (gdb) r -nw
> 
> now emacs is started. I can detach from tmux and open graphical frames
> using "emacsclient -c".
> 
> When working remotely, I can either run emacsclient from ssh, or run
> "tmux a" for reattaching the initial frame. The reason I do this is to
> be able to reattach to the gdb session in case it takes control and I'm
> working over ssh.
> 
> I hope the picture is now complete.

Yes, thanks.  However, I have no idea what does this tmux use do to
Emacs.  I guess someone who does should chime in.